View Issue Details

IDProjectCategoryView StatusLast Update
0014637mantisbtroadmappublic2012-11-01 04:33
Reporteresutton Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.2.10 
Summary0014637: Roadmap should not display versions defined in parent siblings ( parent's have some common sub-projects )
Description

I have two parent projects with multiple sub-projects. A few sub-projects are common to both parents which I suspect could be an "abusive" factor.

All versions are defined in the parent project only and not the sub-project. After switching to SystemParent1 and selecting Roadmap, road map lists sub-project versions from both SystemParent1 and SystemParent2 when I expected to see only versions defined in SystemParent1.

Project Hierarchy

SystemParent1 (Versions: Alpha1, Alpha2, Alpha3)
+--AppFoo
+--AppBar
+--Lib3
+--Lib4

SystemParent2 (Versions: Beta10, Beta11)
+--AppMondo
+--Lib3
+--Lib12
+--AppRingo

I am trying to figure out the PHP source where the query is made. Or perhaps I should experiment with PhpMyAdmin first to see if it can even be done. Thanks for a great tool.

Tagspatch

Relationships

related to 0010873 closeddregad Change Log/Roadmap do not work with inherited versions. 

Activities

dregad

dregad

2012-08-23 04:46

developer   ~0032625

Considering that in the current version of Mantis there is a known issue with display of inherited versions in roadmap (see 0010873) I am not quite sure how you got to the point you described, unless you applied some custom patch to your installation.

I tried disabling the cache as described in 0010873:0026242 but still can't reproduce. Maybe some additional info about how issues are reported into your various projects, and possibly a screenshot would help understanding.

esutton

esutton

2012-08-23 09:19

reporter   ~0032627

Last edited: 2012-08-23 09:20

View 2 revisions

Sorry, I forgot I had applied 0010873 solution 3 patch which basically fixed my problems with inherited versions in roadmap except the one this issue describes with parent siblings. I will upload a screenshot.

0010873 Solution 3 Patch that I Used:
File: version_api.php

/**

  • Return all versions for the specified project
  • @param int $p_project_id
  • @param int $p_released
  • @param bool $p_obsolete
  • @return array Array of version rows (in array format)
    */
    function version_get_all_rows( $p_project_id, $p_released = null, $p_obsolete = false, $p_inherit = null ) {
    global $g_cache_versions, $g_cache_versions_project;

/* EES 2012-08-12 - Fix for Roadmap sub-projects not showing
http://fesnaval.fescorp.com/tracker/view.php?id=1424
Begin: Solution 3 patch from http://www.mantisbt.org/bugs/view.php?id=10873

if( isset( $g_cache_versions_project[ (int)$p_project_id ] ) ) {
    if( !empty( $g_cache_versions_project[ (int)$p_project_id ]) ) {
        foreach( $g_cache_versions_project[ (int)$p_project_id ] as $t_id ) {
            $t_versions[] = version_cache_row( $t_id );
        }
        return $t_versions;
    } else {
        return array();
    }
} 

End: Solution 3 patch */

esutton

esutton

2012-08-23 10:38

reporter   ~0032632

Last edited: 2012-08-23 10:40

View 2 revisions

Maybe some additional info about how issues are reported into your various projects,

  • We have two main customers who we deliver similar but different systems to.
  • We have a parent project for each; SystemParent1 and SystemParent2.
  • Versions for each customer are defined only in the parent project.
  • Each sub-project typically corresponds to a SVN repo; a project that builds a library and/or an application.
  • Some sub-projects, for example an SNMP diagnostics library, are delivered as part of both systems.
  • When a customer identifies a bug in a sub-project, for example the SNMP diagnostics library, the issue is created in the sub-project and issue target version is set to the parent's version.
  • Issues that apply to the system rather than a sub-project are created in the parent project and assigned a target version.

The shared-sub projects do not seem to fit the road map model very well or maybe it's the way we are using SVN. We work on the trunk so any shared sub-project bug fixed for a SystemParent1 target version will also be included in the next release of the SystemParent2. However it will not be included in the next release of the SystemParent2 road map.

I really like the Road Map and Change Log features after applying Solution 3 patch. However my brain may be stuck and I cannot see alternatives. Suggestions for alternative approaches or personal use cases are much appreciated.

dregad

dregad

2012-08-23 11:15

developer   ~0032633

I think I get it now, let me know if that matches your setup.

Project 'Parent1' has 2 versions 'P1-v1' and 'P1-v2'; 1 dedicated subproject 'P1-Sub1' and 1 shared subproject 'shared'; Another project 'Parent2' with versions 'P2-v1' and 'P2-v2' also has 'shared' as subproject.

Here's my sample roadmap

<pre>
Parent1 - Roadmap

Parent1 - P1-v2 (Scheduled For Release 2012-08-23)

  • 0000219: [General] P1 issue - new.

P1-Sub1 - Roadmap

Parent1 - P1-v1 (Scheduled For Release 2012-08-23)

  • 0000214: [General] sub1 2 - new.

shared - Roadmap

Parent1 - P1-v1 (Scheduled For Release 2012-08-23) [ View Issues ]

  • 0000218: [General] shared v p1 - new.

0 of 1 issue(s) resolved. Progress (0%).
</pre>

So far, so good... but

<pre>
Parent2 - P2-v1 (Scheduled For Release 2012-08-23)

  • 0000217: [General] shared v p2 - new.
    </pre>

you expect that this last bit should not be displayed. Correct ?

esutton

esutton

2012-08-23 11:58

reporter   ~0032635

Last edited: 2012-08-23 12:07

View 2 revisions

Yes, that matches my setup.

And yes, when viewing roadmap for Parent1, I did not expect to see the last bit, the P2-v1 version belonging to project Parent2.

cepino

cepino

2012-10-31 08:48

reporter  

patch_14637.zip (12,455 bytes)
cepino

cepino

2012-10-31 08:50

reporter   ~0033386

Replace files included in uploaded file (mantis 1.2.11).

Issue History

Date Modified Username Field Change
2012-08-22 11:25 esutton New Issue
2012-08-23 04:46 dregad Note Added: 0032625
2012-08-23 04:46 dregad Status new => feedback
2012-08-23 09:19 esutton Note Added: 0032627
2012-08-23 09:19 esutton Status feedback => new
2012-08-23 09:20 esutton Note Edited: 0032627 View Revisions
2012-08-23 09:57 dregad Relationship added related to 0010873
2012-08-23 10:38 esutton Note Added: 0032632
2012-08-23 10:40 esutton Note Edited: 0032632 View Revisions
2012-08-23 11:15 dregad Note Added: 0032633
2012-08-23 11:58 esutton Note Added: 0032635
2012-08-23 12:07 esutton Note Edited: 0032635 View Revisions
2012-10-31 08:48 cepino File Added: patch_14637.zip
2012-10-31 08:50 cepino Note Added: 0033386
2012-11-01 04:33 dregad Status new => acknowledged
2012-11-01 04:33 dregad Tag Attached: patch